# Makefile.am for %{APPNAMELC}.
#

AM_CPPFLAGS = -UQT_NO_ASCII_CAST
METASOURCES = AUTO

INCLUDES = $(all_includes)
LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEPARTS)
LDADD = $(LIB_TDEUI) -ltdescreensaver -lm
bin_PROGRAMS = %{APPNAMELC}.kss

%{APPNAMELC}_kss_SOURCES = %{APPNAMELC}ui.ui %{APPNAMELC}.cpp
%{APPNAMELC}_kss_LDADD = $(LIB_QT) $(LIB_TDECORE) $(LDADD)  $(LIB_TDESYCOCA)

#datadir = $(kde_datadir)/%{APPNAMELC}

desktop_DATA = %{APPNAMELC}.desktop
desktopdir = $(kde_appsdir)/System/ScreenSavers

EXTRA_DIST = $(desktop_DATA)

messages: rc.cpp
	$(EXTRACTRC) `find . -name \*.ui -o -name \*.rc` > rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/%{APPNAMELC}.pot
